Static Public Member Functions | List of all members
clan::StyleProperty Class Reference

Style property interface used to parse or query properties by name. More...

`#include <style_property_parser.h>`

## Static Public Member Functions
static const StyleGetValue & | default_value (const char *name)
| Gets the default value for a given property. More...
static const StyleGetValue & | default_value (const std::string &name)
static bool | is_inherited (const char *name)
| Indicates if this an inherited property or not. More...
static bool | is_inherited (const std::string &name)
static void | parse (StylePropertySetter *setter, const std::string &styles)
| Parses a string of styles and sets the values. More...

## Detailed Description

Style property interface used to parse or query properties by name.

## Member Function Documentation

static const StyleGetValue& clan::StyleProperty::default_value | ( | const char * | name | ) |
| static

Gets the default value for a given property.

static const StyleGetValue& clan::StyleProperty::default_value | ( | const std::string & | name | ) |
| static

static bool clan::StyleProperty::is_inherited | ( | const char * | name | ) |
| static

Indicates if this an inherited property or not.

static bool clan::StyleProperty::is_inherited | ( | const std::string & | name | ) |
| static

static void clan::StyleProperty::parse | ( | StylePropertySetter * | setter,
|  | const std::string & | styles
| ) |  |
| static

Parses a string of styles and sets the values.

The documentation for this class was generated from the following file:

- style_property_parser.h